- name: configure forecast download {{ nwp.name }}
  become: true
  template:
    src: get_nwp.j2
    dest: "{{ nwp_from_metno_job_scripts }}/{{ nwp_from_metno_script_prefix }}_{{ nwp.name }}"
    mode: preserve
    owner: "{{ metws_user }}"
    group: "{{ metws_user }}"

- name: configure cron job for forecast download {{ nwp.name }} from MET Norway
  become: true
  cron:
    name: "nwp_from_metno_{{ nwp.name }}"
    user: "{{ metws_user }}"
    minute: "*/15"
    job: '{{ metws_job_scripts }}/util/run_log nwp_from_metno_{{ nwp.name }} {{ nwp_from_metno_subdir }}/{{ nwp_from_metno_script_prefix }}_{{ nwp.name }}'
    state: present
    disabled: '{%if nwp.enable_cron_job %}no{% else %}yes{% endif %}'
